Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.job
Class GetProjectsStatusMapJob

    java.lang.Object
      edu.stanford.smi.protege.util.RemoteJob
          edu.stanford.smi.protege.util.ServerJob
              edu.stanford.smi.protege.server.job.GetProjectsStatusMapJob

All Implemented Interfaces:
  Serializable

    public class GetProjectsStatusMapJob

extends ServerJob

See Also:
  Serialized Form

Constructor Summary
`GetProjectsStatusMapJob(RemoteServer server, RemoteSession session)`

Method Summary
`Object` | `run()` This class is overridden by the sub class and defines the fuunctionality of this job.

Methods inherited from class edu.stanford.smi.protege.util.ServerJob
`execute, fixLoader, getSession`

Methods inherited from class edu.stanford.smi.protege.util.RemoteJob
`serverSideCheckOperationAllowed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetProjectsStatusMapJob

    public GetProjectsStatusMapJob(RemoteServer server,
                                   RemoteSession session)

Method Detail

### run

    public Object run()
               throws ProtegeException

  Description copied from class: `RemoteJob`
  This class is overridden by the sub class and defines the fuunctionality of this job. The intention is that the sub-class will define this method and callers will use the execute() method.

  Specified by:
    `run` in class `RemoteJob`
  Returns:
  Throws:
    `ProtegeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.